Name: mythes-uk
Summary: Ukrainian thesaurus
Version: 1.6.5
Release:    1%{?dist}
Source0: http://downloads.sourceforge.net/ispell-uk/spell-uk-%{version}.tgz
URL: http://sourceforge.net/projects/ispell-uk
License: ( GPL-2.0-or-later OR LGPL-2.1-or-later ) AND ( GPL-2.0-or-later OR LGPL-2.1-or-later OR MPL-1.1 ) AND GPL-2.0-or-later
BuildRequires: perl-interpreter, mythes-devel
BuildArch: noarch
Requires: mythes
Supplements: (mythes and langpacks-uk)

%description
Ukrainian thesaurus.

%prep
%autosetup -n spell-uk-%{version}

%build
cd src/thesaurus
mv -f th_uk_UA.dat th_uk_UA_v2.dat
th_gen_idx.pl < th_uk_UA_v2.dat > th_uk_UA_v2.idx

%install
mkdir -p %{buildroot}/%{_datadir}/mythes
cp -p src/thesaurus/th_uk_UA_v2.* %{buildroot}/%{_datadir}/mythes


%files
%doc README README.uk Copyright
%license COPYING.GPL COPYING.LGPL
%{_datadir}/mythes/*

%changelog
* Tue Nov 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.5-1
- initial build
